### Method

# Ide Buffer get_failed

#### Declaration

    gboolean
    ide_buffer_get_failed (
      IdeBuffer* self
    )

#### Description

Gets the `IdeBuffer:failed` property, denoting if the buffer has failed in some aspect such as loading or saving.

Available since: | 3.32

Gets property | `Ide.Buffer:failed`

#### Return value

Returns: | `gboolean`
| `TRUE` if the buffer is in a failed state.